<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/Dt_AreaInfo.js此处编写
 -->
 <template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/MOM/MOMMessage.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'id',
            footer: "Foots",
            cnName: 'MOM消息',
            name: 'MOM/MOMErrorMessage',
            url: "/MOMErrorMessage/",
            sortName: "CreateTime"
        });
        const editFormFields = ref({});
        const editFormOptions = ref([]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "托盘号", "field": "palletCode", type: "text" },
                { "title": "任务号", "field": "taskNum", type: "text" , hidden: true},
                { "title": "异常消息", "field": "errorMessage", type: "text" },
            ],
            [
                { "title": "api名称", "field": "apiName", type: "text" },
                { "title": "创建时间", "field": "createTime", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'id', title: '主键', type: 'int', sort: true, hidden: true, width: 110, readonly: true, require: true, align: 'left' },
        { field: 'taskNum', title: '任务号', type: 'string', sort: true, width: 110, require: true, align: 'left', sort: true , hidden: true},
        { field: 'palletCode', title: '托盘号', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'errorMessage', title: '异常消息', type: 'string', sort: true, width: 200, align: 'left' },
        { field: 'apiName', title: 'api名称', type: 'string', sort: true, width: 110, align: 'left'  },
        { field: 'createTime', title: '创建时间', type: 'string', sort: true, width: 110, align: 'left' },]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
